Package ru.bitel.bgbilling.modules.alfabank.server.event

# Class AlfabankAutopaymentSumEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.alfabank.server.event.AlfabankAutopaymentSumEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class AlfabankAutopaymentSumEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AlfabankAutopaymentSumEvent()` |
  `AlfabankAutopaymentSumEvent​(int moduleId, int contractId, java.math.BigDecimal sum)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getSum()` |
  `void` | `setSum​(java.math.BigDecimal sum)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AlfabankAutopaymentSumEvent

    public AlfabankAutopaymentSumEvent()

  - ### AlfabankAutopaymentSumEvent

    public AlfabankAutopaymentSumEvent​(int moduleId, int contractId, java.math.BigDecimal sum)

- ## Method Details

  - ### getSum

    public java.math.BigDecimal getSum()

  - ### setSum

    public void setSum​(java.math.BigDecimal sum)